Bug 89342 - main/light.c:159:62: error: 'M_PI' undeclared (first use in this function)
Summary: main/light.c:159:62: error: 'M_PI' undeclared (first use in this function)
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium blocker
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-02-26 19:25 UTC by Vinson Lee
Modified: 2015-02-27 14:06 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2015-02-26 19:25:41 UTC
mesa: 46110c5d56eb7a2d3c69b2d8565c7631541511b1 (master 10.6.0-devel)

MinGW build error

  CC       main/light.lo
main/light.c: In function '_mesa_light':
main/light.c:159:62: error: 'M_PI' undeclared (first use in this function)
       light->_CosCutoff = (GLfloat) (cos(light->SpotCutoff * M_PI / 180.0));
                                                              ^
Comment 1 Brian Paul 2015-02-26 19:33:33 UTC
Hmm, I don't see that here.  The patch is simple though.  Will post for review.
Comment 2 Brian Paul 2015-02-27 14:06:20 UTC
Fixed with commit 06ed81044fc6b1dee90e67de314f81150746e104


bug/show.html.tmpl processed on Jan 16, 2017 at 21:45:34.
(provided by the Example extension).